	.text
 	.section .init
	.globl	%1$s
%1$s:
	movq	$%5$d,%%rdi
	movq	soinfo@GOTPCREL(%%rip),%%rsi
	movq	$0,%%rdx
	call	%3$s@PLT
	.section .fini
	.globl	%2$s
%2$s:
	movq	$%5$d,%%rdi
	movq	soinfo@GOTPCREL(%%rip),%%rsi
	movq	$0,%%rdx
	call	%4$s@PLT
